# -*- coding: utf-8 -*-
# Generated by Django 1.11.23 on 2019-09-07 02:19
from __future__ import unicode_literals
from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [("chroma_core", "0003_add_api_key_procedure")]

    operations = [
        migrations.RunSQL(
            sql="""
CREATE OR REPLACE FUNCTION health_status(
    OUT health text
    ,OUT num_alerts int
) AS
$func$
DECLARE
    sev integer;
BEGIN
    SELECT severity
    INTO sev
    FROM chroma_core_alertstate a
    WHERE COALESCE(a.dismissed, FALSE) = FALSE
    AND a.active = TRUE
    AND a.severity IN (30, 40)
    ORDER BY a.severity DESC LIMIT 1;

    IF sev = 30 THEN
        health := 'WARNING';
    ELSIF sev = 40 THEN
        health := 'ERROR';
    ELSE
        health := 'GOOD';
    END IF;

    SELECT COUNT(*)
    INTO num_alerts
    FROM chroma_core_alertstate a
    WHERE COALESCE(a.dismissed, FALSE) = FALSE
    AND a.severity IN (30, 40)
    AND a.active = TRUE;
END
$func$ LANGUAGE plpgsql;
        """,
            reverse_sql="DROP FUNCTION IF EXISTS health_status();",
        )
    ]
