# -*- coding: utf-8 -*-
# Generated by Django 1.11.23 on 2020-09-10 14:23
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("chroma_core", "0024_mountsnapshotjob_unmountsnapshotjob"),
    ]

    operations = [
        migrations.CreateModel(
            name="CreateSnapshotJob",
            fields=[
                (
                    "job_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="chroma_core.Job",
                    ),
                ),
                ("fqdn", models.CharField(help_text=b"MGS host to create the snapshot on", max_length=256)),
                ("fsname", models.CharField(help_text=b"Lustre filesystem name", max_length=8)),
                ("name", models.CharField(help_text=b"Snapshot to create", max_length=64)),
                (
                    "comment",
                    models.CharField(help_text=b"Optional comment for the snapshot", max_length=1024, null=True),
                ),
                (
                    "use_barrier",
                    models.BooleanField(
                        default=False,
                        help_text=b"Set write barrier before creating snapshot. The default value is False",
                    ),
                ),
            ],
            options={
                "ordering": ["id"],
            },
            bases=("chroma_core.job",),
        ),
        migrations.CreateModel(
            name="DestroySnapshotJob",
            fields=[
                (
                    "job_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="chroma_core.Job",
                    ),
                ),
                ("fqdn", models.CharField(help_text=b"MGS host to destroy the snapshot on", max_length=256)),
                ("fsname", models.CharField(help_text=b"Lustre filesystem name", max_length=8)),
                ("name", models.CharField(help_text=b"Snapshot to destroy", max_length=64)),
                ("force", models.BooleanField(default=False, help_text=b"Destroy the snapshot with force")),
            ],
            options={
                "ordering": ["id"],
            },
            bases=("chroma_core.job",),
        ),
    ]
